Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Compatibility with GeoIPLite2 database #12

Open
detj opened this Issue · 4 comments

4 participants

Debjeet Biswas Gregory Oschwald Dmitry Shirokov zj8487
Debjeet Biswas

Is this compatible with this version of the database?
http://dev.maxmind.com/geoip/geoip2/geolite2/

I tried to do drop-in replacement and got this error

throw new Error('Unable to find database info');
          ^
Error: Unable to find database info
    at new module.exports (node_modules/maxmind/lib/database_info.js:131:11)
    at Database.init (node_modules/maxmind/lib/database.js:39:15)
    at new Database (node_modules/maxmind/lib/database.js:25:8)
    at Object.module.exports.init (node_modules/maxmind/lib/lookup_service.js:61:15)
    at Object.<anonymous> (index.js:8:9)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)

Do you know how much effort this is? Maybe I can patch it.

Thanks

Gregory Oschwald

The GeoLite2 databases are a completely separate data format. The node-maxmind-db module should work with them.

Dmitry Shirokov
Owner

Will add it to my TODO list, planning to add ipv6 first :+1:

Debjeet Biswas

Great, thanks

zj8487

+1

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.